Skip to main content
GET
/
api
/
v1
/
custom_pipelines
/
{pipeline_id}
/
versions
List Pipeline Versions
import requests

url = "https://www.datalab.to/api/v1/custom_pipelines/{pipeline_id}/versions"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "versions": [
    {
      "version": 123,
      "request_description": "<string>",
      "created_at": "<string>",
      "runtime": 123,
      "is_active": false
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

pipeline_id
string
required

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Response

Successful Response

Response schema for listing pipeline versions.

versions
PipelineVersionItem · object[]

List of pipeline versions